Skip to main content
`Ctrl`+`K`

# TAOLMVM

Limited Memory Variable Metric method is a quasi-Newton optimization solver for unconstrained minimization. It solves the Newton step \( H d_k = - g \) using an approximation \(B_k\) in place of \(H\), where \(B_k\) is composed using the BFGS update formula. A More-Thuente line search is then used to compute the steplength in the \(d_k\) direction

## Options Database Keys

- -tao_lmvm_recycle - enable recycling LMVM updates between `TaoSolve()` calls

- -tao_lmvm_no_scale - (developer) disables diagonal Broyden scaling on the LMVM approximation

## See Also

`Tao`, `TAONTR`, `TAONTL`, `TAONM`, `TaoType`, `TaoCreate()`

## Level

beginner

## Location

src/tao/unconstrained/impls/lmvm/lmvm.c

## Examples

src/tao/unconstrained/tutorials/eptorsion1.c
src/tao/unconstrained/tutorials/rosenbrock1.c
src/tao/unconstrained/tutorials/rosenbrock2.c
src/tao/unconstrained/tutorials/eptorsion3.c
src/tao/unconstrained/tutorials/rosenbrock1_taoterm.c
src/tao/unconstrained/tutorials/minsurf1.c
src/tao/unconstrained/tutorials/rosenbrock1f.F90

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages